# $Revision: 1.26 $, $Date: 2002/06/25 21:34:14 $
Summary:	A library of functions for manipulating MNG format files
Summary(pl):	Biblioteka do obrbki plikw w formacie MNG
Summary(uk):	̦ æ      Ԧ MNG
Summary(ru):	        MNG
Name:		libmng
Version:	1.0.4
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/libmng/%{name}-%{version}.tar.gz
Patch0:		%{name}-automake.patch
URL:		http://www.libmng.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libmng1

%description
libmng - library for reading, writing, displaying and examing
Multiple-Image Network Graphics. MNG is the animation extension to the
popular PNG image-format.

%description -l pl
libmng - biblioteka do czytania, zapisywania, wywietlania i
pobierania informacji z plikw MNG (Multiple-Image Network Graphics).
MNG to rozszerzenie o animacje popularnego formatu obrazkw PNG.

%description -l ru
libmng -   , ,   
Multiple-Image Network Graphics. MNG -    
   PNG.

%description -l uk
libmng - ¦̦  , , צ  
Multiple-Image Network Graphics. MNG -  Φæ  
   PNG.

%package devel
Summary:	Development tools for programs to manipulate MNG format files
Summary(pl):	Pakiet do tworzenia programw obrabiajcych pliki MNG
Summary(ru):	   ,      MNG
Summary(uk):	     ,      Ԧ MNG
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	zlib-devel
Obsoletes:	libmng1-devel

%description devel
The libmng-devel package contains the header files necessary for
developing programs using the MNG (Multiple-Image Network Graphics)
library.

If you want to develop programs which will manipulate MNG image format
files, you should install libmng-devel. You'll also need to install
the libmng package.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia programw
uywajcych biblioteki libmng do obrbki plikw MNG.

%description devel -l ru
 libmng-devel     ,
   ,   MNG
(Multiple-Image Network Graphics).

%description devel -l uk
 libmng-devel ͦ   ¦̦ ͦ, ȦΦ
  ,   ¦̦ MNG (Multiple-Image
Network Graphics).

%package static
Summary:	Static MNG libraries
Summary(pl):	Biblioteki statyczne MNG
Summary(ru):	        MNG
Summary(uk):	 ¦̦      Ԧ MNG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static MNG libraries.

%description static -l pl
Biblioteki statyczne MNG.

%description static -l ru
        MNG.

%description static -l uk
 ¦̦      Ԧ MNG.

%prep
%setup -q
%patch0 -p1

%build
rm -f acinclude.m4 missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static \
	--with-zlib \
	--with-jpeg
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%doc Changes README* doc/{doc.readme,libmng.txt}
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmng.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libmng.spec,v $
Revision 1.26  2002/06/25 21:34:14  kloczek
- use new %doc.

Revision 1.25  2002/06/25 20:34:08  qboosh
- -devel Requires: lcms-devel

Revision 1.24  2002/06/25 17:52:43  qboosh
- updated to 1.0.4 - it can be used by mozilla 1.0 now
- BR: lcms-devel

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/01 08:14:07  kloczek
- release 4: merge translations from KSI.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/06 04:04:34  kloczek
- release 3: libmng0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.16  2001/12/04 15:05:11  qboosh
- adapterized, pl translations, cosmetics; release 2

Revision 1.15  2001/09/19 19:52:56  kloczek
- updated to 1.0.3.

Revision 1.14  2001/07/10 16:05:31  qboosh
- BuildRequires autoconf >= 2.50

Revision 1.13  2001/07/09 10:17:51  kloczek
- updated to 1.0.2,
- regenerate ac/am/lt files.

Revision 1.12  2001/05/03 07:47:46  kloczek
- make libtool hapy.

Revision 1.11  2001/05/03 07:26:02  kloczek
- updated to 1.0.1.

Revision 1.10  2001/03/18 23:38:42  kloczek
- release 2.

Revision 1.9  2001/03/18 18:45:29  qboosh
- libmng-devel Requires: {libjpeg,zlib}-devel

Revision 1.8  2001/02/09 21:31:44  kloczek
- updated to 1.0.0.

Revision 1.7  2001/01/19 21:17:24  kloczek
- s/CHANGES/Changes/ in %doc.

Revision 1.6  2001/01/19 21:00:22  kloczek
- updated to 0.9.4,
- s/automake/automake -a -c/ in %build for allow use also automake 1.4b on
  build libmng.

Revision 1.5  2000/12/16 02:16:13  kloczek
- release 3 (for allow upgrade from rawhide),
- changed License to BSD-like.

Revision 1.4  2000/11/03 00:55:05  kloczek
- updated to 0.9.3.

Revision 1.3  2000/10/19 03:48:14  kloczek
- release 2: use new rpm automation.

Revision 1.2  2000/08/08 08:52:57  kloczek
- completly rewrited.

* Sat Aug  5 2000 Gerard Juyn <gerard@libmng.com>
- updated to 0.9.2

* Wed Jul 26 2000 Gerard Juyn <gerard@libmng.com>
- updated to 0.9.1

* Sat Jul  1 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- updated to 0.9.0

* Sat Jun 24 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- 1st release for RPM
